package com.xhkjedu.sexam.mapper.paper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sexam.model.paper.EPaperFile;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 附件试卷文件
 * @Author WN
 * Date 2022/7/18 14:10
 **/
public interface EPaperFileMapper extends TkMapper<EPaperFile> {

    List<Map> listPaperFiles(@Param("epid") Integer epid);

    //获取题干文件
    List<Map> listPaperStemFile(@Param("epid") Integer epid);

    //删除附件
    void deleteByEpid(@Param("epid") Integer epid);

    List<Map> listPaperFilesByEpsid(@Param("epsid") Integer epsid);

    //获取题干原文件
    List<String> listPaperSourceFilesByEpsid(@Param("epsid") Integer epsid);

    //修改附件原文件地址
    void updateSourcepathByEpid(@Param("epid") Integer epid,@Param("sourcepath") String sourcepath);

    //删除答案附件
    void delAnswerFile(@Param("epid") Integer epid);
}
